path: /build/build/qtsql-dev-qt-5-5.15.2+5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-freetds -mysql -oci8 -odbc -postgres -test sqlite" emerge dev-qt/qtsql:5 -pv -t && \
    USE="-freetds -mysql -oci8 -odbc -postgres -test sqlite" emerge -j ${JOBS} --nodeps dev-qt/qtsql:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtsql && luet-portage --dir /pkgdir/qtsql
    dev-qt/qtsql:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:45a8a9e2199e46a1e8ed7554e9bca8bcf29d186d749c4d4cb8c4801c48dd21e0
  package:
    name: qtsql
    version: 5.15.2+5
    category: dev-qt-5
    use_flags:
    - -freetds
    - -mysql
    - -oci8
    - -odbc
    - -postgres
    - -test
    - sqlite
    requires:
    - name: qtgui
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: SQL abstraction library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-14 17:58:07.768008025 +0000 UTC m=+167.900432207
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= freetds? ( dev-db/freetds ) mysql? ( dev-db/mysql-connector-c:=
        ) oci8? ( dev-db/oracle-instantclient:=[sdk] ) odbc? ( dev-db/unixODBC ) postgres?
        ( dev-db/postgresql:* ) sqlite? ( dev-db/sqlite:3 ) test? ( =dev-qt/qttest-5.15.2*
        )
      IUSE: freetds mysql oci8 odbc postgres +sqlite debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= freetds? ( dev-db/freetds ) mysql? ( dev-db/mysql-connector-c:=
        ) oci8? ( dev-db/oracle-instantclient:=[sdk] ) odbc? ( dev-db/unixODBC ) postgres?
        ( dev-db/postgresql:* ) sqlite? ( dev-db/sqlite:3 )
      emerge.packages: dev-qt/qtsql:5
      kit: qt-kit
      original.package.name: dev-qt/qtsql
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240215
    treedir: /build/packages
  package_dir: /pkgdir/qtsql
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f91e7ad2d32309ab60c61c872425de09353d06de7b3df016f16b3e883f86d2e8
compressiontype: zstd
files:
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqlcachedresult_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqldriver_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqlnulldriver_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqlquerymodel_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqlresult_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qsqltablemodel_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qtsql-config_p.h
- usr/include/qt5/QtSql/5.15.12/QtSql/private/qtsqlglobal_p.h
- usr/include/qt5/QtSql/QSql
- usr/include/qt5/QtSql/QSqlDatabase
- usr/include/qt5/QtSql/QSqlDriver
- usr/include/qt5/QtSql/QSqlDriverCreator
- usr/include/qt5/QtSql/QSqlDriverCreatorBase
- usr/include/qt5/QtSql/QSqlDriverPlugin
- usr/include/qt5/QtSql/QSqlError
- usr/include/qt5/QtSql/QSqlField
- usr/include/qt5/QtSql/QSqlIndex
- usr/include/qt5/QtSql/QSqlQuery
- usr/include/qt5/QtSql/QSqlQueryModel
- usr/include/qt5/QtSql/QSqlRecord
- usr/include/qt5/QtSql/QSqlRelation
- usr/include/qt5/QtSql/QSqlRelationalDelegate
- usr/include/qt5/QtSql/QSqlRelationalTableModel
- usr/include/qt5/QtSql/QSqlResult
- usr/include/qt5/QtSql/QSqlTableModel
- usr/include/qt5/QtSql/QtSql
- usr/include/qt5/QtSql/QtSqlDepends
- usr/include/qt5/QtSql/QtSqlVersion
- usr/include/qt5/QtSql/qsql.h
- usr/include/qt5/QtSql/qsqldatabase.h
- usr/include/qt5/QtSql/qsqldriver.h
- usr/include/qt5/QtSql/qsqldriverplugin.h
- usr/include/qt5/QtSql/qsqlerror.h
- usr/include/qt5/QtSql/qsqlfield.h
- usr/include/qt5/QtSql/qsqlindex.h
- usr/include/qt5/QtSql/qsqlquery.h
- usr/include/qt5/QtSql/qsqlquerymodel.h
- usr/include/qt5/QtSql/qsqlrecord.h
- usr/include/qt5/QtSql/qsqlrelationaldelegate.h
- usr/include/qt5/QtSql/qsqlrelationaltablemodel.h
- usr/include/qt5/QtSql/qsqlresult.h
- usr/include/qt5/QtSql/qsqltablemodel.h
- usr/include/qt5/QtSql/qtsql-config.h
- usr/include/qt5/QtSql/qtsqlglobal.h
- usr/include/qt5/QtSql/qtsqlversion.h
- usr/lib64/cmake/Qt5Sql/Qt5SqlConfig.cmake
- usr/lib64/cmake/Qt5Sql/Qt5SqlConfigVersion.cmake
- usr/lib64/cmake/Qt5Sql/Qt5Sql_QSQLiteDriverPlugin.cmake
- usr/lib64/libQt5Sql.prl
- usr/lib64/libQt5Sql.so
- usr/lib64/libQt5Sql.so.5
- usr/lib64/libQt5Sql.so.5.15
- usr/lib64/libQt5Sql.so.5.15.12
- usr/lib64/pkgconfig/Qt5Sql.pc
- usr/lib64/qt5/mkspecs/gentoo/qtsql-qmodule.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_sql.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_sql_private.pri
- usr/lib64/qt5/plugins/sqldrivers/libqsqlite.so
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/BDEPEND
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/BUILD_TIME
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CATEGORY
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CBUILD
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CC
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CFLAGS
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CHOST
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CONTENTS
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/COUNTER
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/CXXFLAGS
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/DEFINED_PHASES
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/DEPEND
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/DESCRIPTION
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/EAPI
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/FEATURES
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/HOMEPAGE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/INHERITED
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/IUSE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/KEYWORDS
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/LDFLAGS
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/LICENSE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/NEEDED
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/PF
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/PROVIDES
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/RDEPEND
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/REQUIRES
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/RESTRICT
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/SIZE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/SLOT
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/USE
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/environment.bz2
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/qtsql-5.15.2_p20240215.ebuild
- var/db/pkg/dev-qt/qtsql-5.15.2_p20240215/repository
package_cacheimage: ""
runtime:
  name: qtsql
  version: 5.15.2+5
  category: dev-qt-5
  use_flags:
  - -freetds
  - -mysql
  - -oci8
  - -odbc
  - -postgres
  - -test
  - sqlite
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: SQL abstraction library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= freetds? ( dev-db/freetds ) mysql? ( dev-db/mysql-connector-c:=
      ) oci8? ( dev-db/oracle-instantclient:=[sdk] ) odbc? ( dev-db/unixODBC ) postgres?
      ( dev-db/postgresql:* ) sqlite? ( dev-db/sqlite:3 ) test? ( =dev-qt/qttest-5.15.2*
      )
    IUSE: freetds mysql oci8 odbc postgres +sqlite debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= freetds? ( dev-db/freetds ) mysql? ( dev-db/mysql-connector-c:=
      ) oci8? ( dev-db/oracle-instantclient:=[sdk] ) odbc? ( dev-db/unixODBC ) postgres?
      ( dev-db/postgresql:* ) sqlite? ( dev-db/sqlite:3 )
    emerge.packages: dev-qt/qtsql:5
    kit: qt-kit
    original.package.name: dev-qt/qtsql
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240215
